@props([
    'role' => 'tag-list'    
])
    
@php
    $attributes = $attributes
        ->merge([
            'data-role' => $role
        ])
        ->class([
            'tag-list'
        ]);
@endphp
    
<div {{ $attributes }}>
    {{ $slot }}
</div>